tests:
- healthStatus:
    status: Progressing
    message: Initializing promotion strategy
  inputPath: testdata/no-status.yaml
- healthStatus:
    status: Progressing
    message: Promotion strategy is being deleted
  inputPath: testdata/deleting.yaml
- healthStatus:
    status: Progressing
    message: Promotion strategy is not ready yet
  inputPath: testdata/no-ready-condition.yaml
- healthStatus:
    status: Progressing
    message: Waiting for promotion strategy spec update to be observed
  inputPath: testdata/observed-generation-outdated.yaml
- healthStatus:
    status: Degraded
    message: "Promotion strategy reconciliation failed: Something went wrong"
  inputPath: testdata/reconciliation-error.yaml
- healthStatus:
    status: Degraded
    message: Promotion strategy has no environments configured
  inputPath: testdata/no-environments.yaml
- healthStatus:
    status: Progressing
    message: The active commit DRY SHA is missing or empty in environment 'dev'.
  inputPath: testdata/active-dry-sha-missing.yaml
- healthStatus:
    status: Progressing
    message: "The proposed commit DRY SHA is missing or empty in environment 'dev'."
  inputPath: testdata/proposed-dry-sha-missing.yaml
- healthStatus:
    status: Progressing
    message: "Promotion in progress for environment 'dev' from 'abc1234' to 'def5678': 1 pending, 0 successful, 1 failed. Pending commit statuses: test-pending. Failed commit statuses: test-failed. "
  inputPath: testdata/progressing-failed-pending.yaml
- healthStatus:
    status: Healthy
    message: All environments are up-to-date on commit 'abc1234'.
  inputPath: testdata/all-healthy.yaml
- healthStatus:
    status: Progressing
    message: Not all environments have the same proposed commit SHA. This likely means the hydrator has not run for all environments yet.
  inputPath: testdata/different-proposed-commits.yaml
